# studio::Dialog_PreviewOptions Class Reference

`#include <dialog_preview.h>`

List of all members.

## Public Member Functions

| Dialog_PreviewOptions ()
| ~Dialog_PreviewOptions ()
float | get_zoom () const
void | set_zoom (float z)
float | get_fps () const
void | set_fps (float z)
float | get_global_fps () const
void | set_global_fps (float f)
synfig::Time | get_begintime () const
void | set_begintime (const synfig::Time &t)
synfig::Time | get_endtime () const
void | set_endtime (const synfig::Time &t)
bool | get_begin_override () const
void | set_begin_override (bool o)
bool | get_end_override () const
void | set_end_override (bool o)
sigc::signal< void, const PreviewInfo & > & | signal_finish ()

## Constructor & Destructor Documentation

Dialog_PreviewOptions::Dialog_PreviewOptions | ( |  | ) |

References _.

Dialog_PreviewOptions::~Dialog_PreviewOptions | ( |  | ) |

## Member Function Documentation

float studio::Dialog_PreviewOptions::get_zoom | ( |  | ) | const`[inline]`

void studio::Dialog_PreviewOptions::set_zoom | ( | float | z | ) | `[inline]`

float studio::Dialog_PreviewOptions::get_fps | ( |  | ) | const`[inline]`

void studio::Dialog_PreviewOptions::set_fps | ( | float | z | ) | `[inline]`

float studio::Dialog_PreviewOptions::get_global_fps | ( |  | ) | const`[inline]`

void studio::Dialog_PreviewOptions::set_global_fps | ( | float | f | ) |

References studio::Widget_Time::set_fps().

synfig::Time studio::Dialog_PreviewOptions::get_begintime | ( |  | ) | const`[inline]`

References studio::Widget_Time::get_value().

void studio::Dialog_PreviewOptions::set_begintime | ( | const synfig::Time & | t | ) | `[inline]`

References studio::Widget_Time::set_value().

synfig::Time studio::Dialog_PreviewOptions::get_endtime | ( |  | ) | const`[inline]`

References studio::Widget_Time::get_value().

void studio::Dialog_PreviewOptions::set_endtime | ( | const synfig::Time & | t | ) | `[inline]`

References studio::Widget_Time::set_value().

bool studio::Dialog_PreviewOptions::get_begin_override | ( |  | ) | const`[inline]`

void studio::Dialog_PreviewOptions::set_begin_override | ( | bool | o | ) | `[inline]`

bool studio::Dialog_PreviewOptions::get_end_override | ( |  | ) | const`[inline]`

void studio::Dialog_PreviewOptions::set_end_override | ( | bool | o | ) | `[inline]`

sigc::signal<void,const PreviewInfo &>& studio::Dialog_PreviewOptions::signal_finish | ( |  | ) | `[inline]`

The documentation for this class was generated from the following files:

- dialog_preview.h
- dialog_preview.cpp